﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Win32;

namespace ToggleStartMenu
{
    class Program
    {
        static void Main(string[] args)
        {
            var rootKey = Registry.CurrentUser;
            var subKey = rootKey.OpenSubKey(@"Software\Microsoft\Windows\CurrentVersion\Explorer", 
                RegistryKeyPermissionCheck.ReadWriteSubTree, System.Security.AccessControl.RegistryRights.FullControl);

            if (subKey != null)
            {
                var value = (int) subKey.GetValue("RPEnabled");
                subKey.SetValue("RPEnabled", value == 0 ? 1 : 0, RegistryValueKind.DWord);
            }
        }
    }
}
